Skip to main content
GET
/
file
/
{id}
/
download
Get File Download URL
curl --request GET \
  --url https://{base_url}/file/{id}/download \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "bytes": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "filename": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fintelite.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string<uuid>
required

File ID

Response

File download information with presigned URL

id
string

File identifier

bytes
integer

File size in bytes

created_at
string<date-time>

Upload timestamp

filename
string

Original filename

expires_at
string<date-time>

Presigned URL expiration timestamp

url
string<uri>

Presigned download URL